DevelopmentResourceLoader (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.support

## [Java] Class DevelopmentResourceLoader

- org.codehaus.groovy.grails.support.DevelopmentResourceLoader

- Allows files references like /WEB-INF/grails-app to be loaded from ./grails-app to support the difference between wAR deployment and run-app.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `CLASSPATH_URL_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DevelopmentResourceLoader (GrailsApplication application)`
    `DevelopmentResourceLoader ()`
    `DevelopmentResourceLoader (GrailsApplication application, java.lang.String baseLocation)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.String` | `getRealLocationInProject(java.lang.String location)` Retrieves the real location of a GSP within a Grails project.
    `org.springframework.core.io.Resource` | `getResource(java.lang.String location)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `org.springframework.core.io.DefaultResourceLoader#getClassLoader(), org.springframework.core.io.DefaultResourceLoader#getResource(java.lang.String), org.springframework.core.io.DefaultResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.DefaultResourceLoader#wait(long, int), org.springframework.core.io.DefaultResourceLoader#wait(long), org.springframework.core.io.DefaultResourceLoader#wait(), org.springframework.core.io.DefaultResourceLoader#equals(java.lang.Object), org.springframework.core.io.DefaultResourceLoader#toString(), org.springframework.core.io.DefaultResourceLoader#hashCode(), org.springframework.core.io.DefaultResourceLoader#getClass(), org.springframework.core.io.DefaultResourceLoader#notify(), org.springframework.core.io.DefaultResourceLoader#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DevelopmentResourceLoader(GrailsApplication application)

    - #### public DevelopmentResourceLoader()

    - #### public DevelopmentResourceLoader(GrailsApplication application, java.lang.String baseLocation)

  - ### Method Detail

    - #### protected java.lang.String getRealLocationInProject(java.lang.String location)

      Retrieves the real location of a GSP within a Grails project.

      Parameters:
        `location` - The location of the GSP at deployment time
      Returns:
        The location of the GSP at development time

    - #### @java.lang.Override public org.springframework.core.io.Resource getResource(java.lang.String location)